transform(3)

NAME
transform - Transformation of Coordinates

SYNOPSIS

  Functions
void LIBNOVA_EXPORT ln_get_hrz_from_equ (struct ln_equ_posn *object, struct ln_lnlat_posn *observer, double JD, struct ln_hrz_posn *position)
Calculate horizontal coordinates from equatorial coordinates.
void LIBNOVA_EXPORT ln_get_hrz_from_equ_sidereal_time (struct ln_equ_posn *object, struct ln_lnlat_posn *observer, double sidereal, struct ln_hrz_posn *position)
Calculate horizontal coordinates from equatorial coordinates, using mean sidereal time.
void LIBNOVA_EXPORT ln_get_equ_from_ecl (struct ln_lnlat_posn *object, double JD, struct ln_equ_posn *position)
Calculate equatorial coordinates from ecliptical coordinates.
void LIBNOVA_EXPORT ln_get_ecl_from_equ (struct ln_equ_posn *object, double JD, struct ln_lnlat_posn *position)
Calculate ecliptical coordinates from equatorial coordinates.
void LIBNOVA_EXPORT ln_get_equ_from_hrz (struct ln_hrz_posn *object, struct ln_lnlat_posn *observer, double JD, struct ln_equ_posn *position)
Calculate equatorial coordinates from horizontal coordinates.
void LIBNOVA_EXPORT ln_get_rect_from_helio (struct ln_helio_posn *object, struct ln_rect_posn *position)
Calculate geocentric coordinates from heliocentric coordinates.
void LIBNOVA_EXPORT ln_get_ecl_from_rect (struct ln_rect_posn *rect, struct ln_lnlat_posn *posn)
Transform an objects rectangular coordinates into ecliptical coordinates.
void LIBNOVA_EXPORT ln_get_equ_from_gal (struct ln_gal_posn *gal, struct ln_equ_posn *equ)
Transform an object galactic coordinates into equatorial coordinates.
void LIBNOVA_EXPORT ln_get_equ2000_from_gal (struct ln_gal_posn *gal, struct ln_equ_posn *equ)
Transform an object galactic coordinate into J2000 equatorial coordinates.
void LIBNOVA_EXPORT ln_get_gal_from_equ (struct ln_equ_posn *equ, struct ln_gal_posn *gal)
Transform an object equatorial coordinates into galactic coordinates.
void LIBNOVA_EXPORT ln_get_gal_from_equ2000 (struct ln_equ_posn *equ, struct ln_gal_posn *gal)
Transform an object J2000 equatorial coordinates into galactic coordinates.

Detailed Description

Transformations from one coordinate system to another.

Function Documentation

  void LIBNOVA_EXPORT ln_get_ecl_from_equ (struct ln_equ_posn * object, double JD, struct ln_lnlat_posn * position)

Calculate ecliptical coordinates from equatorial coordinates.

Parameters
    object Object coordinates in B1950. Use ln_get_equ_prec2 to transform from J2000.
    JD Julian day
    position Pointer to store new position.

Transform an objects equatorial cordinates into ecliptical coordinates for the given julian day.

References ln_equ_posn::dec, ln_nutation::ecliptic, ln_lnlat_posn::lat, ln_deg_to_rad(), ln_get_nutation(), ln_rad_to_deg(), ln_range_degrees(), ln_lnlat_posn::lng, and ln_equ_posn::ra.

  void LIBNOVA_EXPORT ln_get_ecl_from_rect (struct ln_rect_posn * rect, struct ln_lnlat_posn * posn)

Transform an objects rectangular coordinates into ecliptical coordinates.

Parameters
    rect Rectangular coordinates.
    posn Pointer to store new position.

Transform an objects rectangular coordinates into ecliptical coordinates.

References ln_lnlat_posn::lat, ln_rad_to_deg(), ln_range_degrees(), ln_lnlat_posn::lng, ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

  void LIBNOVA_EXPORT ln_get_equ2000_from_gal (struct ln_gal_posn * gal, struct ln_equ_posn * equ)

Transform an object galactic coordinate into J2000 equatorial coordinates.

Parameters
    gal Galactic coordinates.
    equ J2000 equatorial coordinates.

Transform an object galactic coordinates into equatorial coordinate.

References ln_get_equ_from_gal(), and ln_get_equ_prec2().

  void LIBNOVA_EXPORT ln_get_equ_from_ecl (struct ln_lnlat_posn * object, double JD, struct ln_equ_posn * position)

Calculate equatorial coordinates from ecliptical coordinates.

Parameters
    object Object coordinates.
    JD Julian day
    position Pointer to store new position.

Transform an objects ecliptical coordinates into equatorial coordinates for the given julian day.

References ln_equ_posn::dec, ln_nutation::ecliptic, ln_lnlat_posn::lat, ln_deg_to_rad(), ln_get_nutation(), ln_rad_to_deg(), ln_range_degrees(), ln_lnlat_posn::lng, and ln_equ_posn::ra.

Referenced by ln_get_lunar_equ_coords_prec(), and ln_get_solar_equ_coords().

  void LIBNOVA_EXPORT ln_get_equ_from_gal (struct ln_gal_posn * gal, struct ln_equ_posn * equ)

Transform an object galactic coordinates into equatorial coordinates.

Parameters
    gal Galactic coordinates.
    equ B1950 equatorial coordinates. Use ln_get_equ_prec2 to transform to J2000.

Transform an object galactic coordinates into B1950 equatorial coordinate.

References ln_gal_posn::b, ln_equ_posn::dec, ln_gal_posn::l, ln_deg_to_rad(), ln_rad_to_deg(), ln_range_degrees(), and ln_equ_posn::ra.

Referenced by ln_get_equ2000_from_gal().

  void LIBNOVA_EXPORT ln_get_equ_from_hrz (struct ln_hrz_posn * object, struct ln_lnlat_posn * observer, double JD, struct ln_equ_posn * position)

Calculate equatorial coordinates from horizontal coordinates.

Parameters
    object Object coordinates.
    observer Observer cordinates.
    JD Julian day
    position Pointer to store new position.

Transform an objects horizontal coordinates into equatorial coordinates for the given julian day and observers position.

Examples
transforms.c.

References ln_hrz_posn::alt, ln_hrz_posn::az, ln_equ_posn::dec, ln_lnlat_posn::lat, ln_deg_to_rad(), ln_get_apparent_sidereal_time(), ln_rad_to_deg(), ln_range_degrees(), ln_lnlat_posn::lng, and ln_equ_posn::ra.

  void LIBNOVA_EXPORT ln_get_gal_from_equ (struct ln_equ_posn * equ, struct ln_gal_posn * gal)

Transform an object equatorial coordinates into galactic coordinates.

Parameters
    equ B1950 equatorial coordinates.
    gal Galactic coordinates.

Transform an object B1950 equatorial coordinate into galactic coordinates.

References ln_gal_posn::b, ln_equ_posn::dec, ln_gal_posn::l, ln_deg_to_rad(), ln_rad_to_deg(), ln_range_degrees(), and ln_equ_posn::ra.

Referenced by ln_get_gal_from_equ2000().

  void LIBNOVA_EXPORT ln_get_gal_from_equ2000 (struct ln_equ_posn * equ, struct ln_gal_posn * gal)

Transform an object J2000 equatorial coordinates into galactic coordinates.

Parameters
    equ J2000 equatorial coordinates.
    gal Galactic coordinates.

Transform an object J2000 equatorial coordinate into galactic coordinates.

References ln_get_equ_prec2(), and ln_get_gal_from_equ().

  void LIBNOVA_EXPORT ln_get_hrz_from_equ (struct ln_equ_posn * object, struct ln_lnlat_posn * observer, double JD, struct ln_hrz_posn * position)

Calculate horizontal coordinates from equatorial coordinates.

Parameters
    object Object coordinates.
    observer Observer cordinates.
    JD Julian day
    position Pointer to store new position.

Transform an objects equatorial coordinates into horizontal coordinates for the given julian day and observers position.

0 deg azimuth = south, 90 deg = west.

Examples
asteroid.c, and transforms.c.

References ln_get_hrz_from_equ_sidereal_time(), and ln_get_mean_sidereal_time().

  void LIBNOVA_EXPORT ln_get_rect_from_helio (struct ln_helio_posn * object, struct ln_rect_posn * position)

Calculate geocentric coordinates from heliocentric coordinates.

Parameters
    object Object heliocentric coordinates
    position Pointer to store new position

Transform an objects heliocentric ecliptical coordinates into heliocentric rectangular coordinates.

References ln_helio_posn::B, ln_helio_posn::L, ln_deg_to_rad(), ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_earth_rect_helio(), ln_get_ell_geo_rect_posn(), ln_get_hyp_geo_rect_posn(), ln_get_jupiter_earth_dist(), ln_get_jupiter_equ_coords(), ln_get_jupiter_rect_helio(), ln_get_mars_earth_dist(), ln_get_mars_equ_coords(), ln_get_mars_rect_helio(), ln_get_mercury_earth_dist(), ln_get_mercury_equ_coords(), ln_get_mercury_rect_helio(), ln_get_neptune_earth_dist(), ln_get_neptune_equ_coords(), ln_get_neptune_rect_helio(), ln_get_par_geo_rect_posn(), ln_get_pluto_earth_dist(), ln_get_pluto_equ_coords(), ln_get_pluto_rect_helio(), ln_get_saturn_earth_dist(), ln_get_saturn_equ_coords(), ln_get_solar_geo_coords(), ln_get_uranus_earth_dist(), ln_get_uranus_equ_coords(), ln_get_uranus_rect_helio(), ln_get_venus_earth_dist(), ln_get_venus_equ_coords(), and ln_get_venus_rect_helio().

Author

Generated automatically by Doxygen for libnova from the source code.